import dynamix_sdk.base as _base


class CloudapiBserviceGroupParentAddResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiBserviceGroupParentAddProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_parent_add(
        self,
        *,
        bservice_id: int,
        child_id: int,
        parent_id: int,
    ) -> CloudapiBserviceGroupParentAddResultBool:
        ...
